#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Class
%define		pnam	Container
%include	/usr/lib/rpm/macros.perl
Summary:	Class::Container - glues object frameworks together transparently
Summary(pl.UTF-8):	Class::Container - przezroczyste sklejanie szkieletów obiektów
Name:		perl-Class-Container
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5321b227c09c96911a8a0ce269bbfd36
URL:		http://search.cpan.org/dist/Class-Container/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Params-Validate >= 0.18
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Scalar::Util)'

%description
This class facilitates building frameworks of several classes that
inter-operate. It was first designed and built for "HTML::Mason", in
which the Compiler, Lexer, Interpreter, Resolver, Component, Buffer,
and several other objects must create each other transparently,
passing the appropriate parameters to the right class, possibly
substituting their own subclass for any of these objects.

%description -l pl.UTF-8
Ta klasa ułatwia tworzenie szkieletu dla różnych, współpracujących ze
sobą, klas. Pierwotnie była zaprojektowana i stworzona dla
HTML::Mason, w którym Compiler, Lexer, Interpreter, Resolver,
Component, Buffer i kilka innych obiektów muszą tworzyć inne w sposób
przezroczysty, przekazując odpowiednie parametry do właściwej klasy,
być może także podstawiając swoją własną podklasę za dowolny z tych
obiektów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
# We do not sleep.
%{__perl} -ni -e 'print unless /sleep/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/Container.pm
%{_mandir}/man3/*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Container.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> a19233f
- up to 0.13

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 1c597cb
- use generic url

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 344b863
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1bca4cd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9a63b02
- converted to UTF-8

* Wed Jun 22 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 99d3067
- updated to 0.12

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bc7ea0a
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> f2ab3cf
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 87933ac
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> e68e043
- license fixes and unification

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 9b3175f
- updated to 0.11

* Tue Aug 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 30a193f
- updated _noauto for new wrappers, cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 376ddbc
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 7253dfe
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ab983c1
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Apr 12 2003 ankry <ankry@pld-linux.org> 57e75de
- release up to be higher than in RA-branch; cosmetics

* Fri Apr 11 2003 radek <radek@pld-linux.org> a24e373
- BR: perl-devel; do not BR: perl

* Thu Mar 13 2003 ankry <ankry@pld-linux.org> 2f7f436
- merge from RA-branch: updated to 0.10

* Sat Mar 01 2003 radek <radek@pld-linux.org> a2e0586
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> c1a1e1e
- always...

